Skip to main content
GET
/
api
/
Invoices
/
{invoiceId}
Get Invoice
curl --request GET \
  --url https://api-sandbox.revolv3.com/api/Invoices/{invoiceId} \
  --header 'x-revolv3-token: <api-key>'
import requests

url = "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}"

headers = {"x-revolv3-token": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};

fetch('https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invoiceId": 1,
  "parentInvoiceId": null,
  "customerId": null,
  "merchantInvoiceRefId": "1234-5678-9101",
  "paymentMethod": {
    "paymentMethodId": 0,
    "billingAddressId": 0,
    "billingFirstName": "John",
    "billingLastName": "Doe",
    "merchantPaymentMethodRefId": null,
    "billingAddress": {
      "addressId": 1,
      "addressLine1": "100 Main Street",
      "addressLine2": null,
      "city": "Santa Ana",
      "state": "CA",
      "postalCode": "92602",
      "phoneNumber": null,
      "email": null,
      "country": "US"
    },
    "paymentMethodAchDetails": null,
    "paymentMethodCreditCardDetails": null
  },
  "invoiceStatus": "Pending",
  "subtotal": 73.1,
  "tax": 6.48,
  "total": 79.58,
  "billingDate": "01.07.2026",
  "merchantLegalName": null,
  "merchantCustomerRefId": null,
  "customerFirstName": null,
  "customerLastName": null,
  "subscriptionId": null,
  "installmentId": null,
  "eligibilityFailReason": null,
  "merchantSubscriptionRefId": null,
  "networkTransactionId": null,
  "currency": null,
  "invoiceLineItems": [
    {
      "invoiceId": 1,
      "invoiceLineItemId": 1,
      "name": "LineItem1",
      "description": "Line Item 1 Description",
      "value": 15.3,
      "valueType": null
    },
    {
      "invoiceId": 1,
      "invoiceLineItemId": 2,
      "name": "LineItem2",
      "description": "Line Item 2 Description",
      "value": 25.5,
      "valueType": null
    },
    {
      "invoiceId": 1,
      "invoiceLineItemId": 3,
      "name": "LineItem3",
      "description": "Line Item 3 Description",
      "value": 32.3,
      "valueType": null
    }
  ],
  "invoiceAttempts": null,
  "voidAttempts": null
}
{
"message": "Attempted to perform an unauthorized operation."
}
{
"message": "Unable to find an entity with the provided data."
}

Authorizations

x-revolv3-token
string
header
required

Path Parameters

invoiceId
integer<int64>
required

The unique identifier of the invoice.

Required range: 1 <= x <= 1000000000

Query Parameters

includeRawProcessorResponse
boolean
default:false

Determine whether to return raw processor data in the response.

Response

OK

invoiceId
integer<int64>

The unique identifier of the invoice.

Required range: 1 <= x <= 1000000000
parentInvoiceId
integer<int64> | null
Required range: 1 <= x <= 1000000000
customerId
integer<int64>

The unique identifier of the customer.

Required range: 1 <= x <= 1000000000
merchantInvoiceRefId
string

Merchant's unique identifier for the invoice.

Maximum string length: 100
paymentMethod
object
invoiceStatus
string

The current status of the invoice.

Possible values: Paid, Pending, Noncollectable, Failed, OneTimePaymentPending, RetryPending.

Maximum string length: 100
subtotal
number<double>
Required range: 0 <= x <= 10000000
tax
number<double>
Required range: 0 <= x <= 10000000
total
number<double>
Required range: 0 <= x <= 10000000
billingDate
string

The day on which the last billing was attempted for the invoice

Maximum string length: 20
Maximum string length: 200
merchantCustomerRefId
string | null
Maximum string length: 100
customerFirstName
string | null
Maximum string length: 150
customerLastName
string | null
Maximum string length: 150
subscriptionId
integer<int64> | null
Required range: 1 <= x <= 1000000000
installmentId
integer<int64> | null
Required range: 1 <= x <= 1000000000
eligibilityFailReason
string | null
Maximum string length: 500
merchantSubscriptionRefId
string | null
Maximum string length: 100
networkTransactionId
string

The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.

Maximum string length: 100
currency
string

The three-character ISO currency code.

Default value: USD

Maximum string length: 3
invoiceLineItems
object[] | null
invoiceAttempts
object[] | null
voidAttempts
object[] | null
invoiceStatusEnum
enum<string>
Available options:
Paid,
Void,
Pending,
Recycle,
Noncollectable,
Failed,
Refund,
MerchantPaid,
MerchantCancelled,
OneTimePaymentPending,
PartialRefund,
BatchPending,
CapturePending,
RefundPending,
RefundDeclined,
RefundFailed,
RetryPending,
RecurringPending,
MultiCardsPending,
RefundVoid,
PartialRefundVoid